package cn.hmsoft.weixin.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;
import cn.hmsoft.weixin.constants.WxSeqName;

/**********************************************
 * 用户地址记录
 * 
 * @author: Zhang XiaoQing
 * @date: 2016-08-16 14:22:47
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "WX_USER_LOCATION", keyColumn = "LOG_ID", sequenceName = WxSeqName.WxUserLocationLogId)
public class WxUserLocation implements Serializable {
	private static final long serialVersionUID = -3565866215671502008L;
	private Integer log_id;
	private LocalDateTime log_time;
	private String open_id;
	// 地理位置纬度
	private String loc_latitude;
	// 地理位置经度
	private String loc_longitude;
	// 地理位置精度Precision
	private String loc_precision;

	public Integer getLog_id() {
		return this.log_id;
	}

	public void setLog_id(Integer log_id) {
		this.log_id = log_id;
	}

	public LocalDateTime getLog_time() {
		return this.log_time;
	}

	public void setLog_time(LocalDateTime log_time) {
		this.log_time = log_time;
	}

	public String getOpen_id() {
		return this.open_id;
	}

	public void setOpen_id(String open_id) {
		this.open_id = open_id;
	}

	/****
	 * 地理位置纬度
	 */
	public String getLoc_latitude() {
		return this.loc_latitude;
	}

	/****
	 * 地理位置纬度
	 */
	public void setLoc_latitude(String loc_latitude) {
		this.loc_latitude = loc_latitude;
	}

	/****
	 * 地理位置经度
	 */
	public String getLoc_longitude() {
		return this.loc_longitude;
	}

	/****
	 * 地理位置经度
	 */
	public void setLoc_longitude(String loc_longitude) {
		this.loc_longitude = loc_longitude;
	}

	/****
	 * 地理位置精度Precision
	 */
	public String getLoc_precision() {
		return this.loc_precision;
	}

	/****
	 * 地理位置精度Precision
	 */
	public void setLoc_precision(String loc_precision) {
		this.loc_precision = loc_precision;
	}

}